@import "solidify-frontend/lib/core/components/presentationals/abstract-form/abstract-form.presentational";
@import "abstracts/abstracts";

:host {
  display: grid;
  grid-template-rows: max-content 1fr;

  @include respond-to-smaller-than-breakpoint('md') {
    grid-template-columns: 1fr;
  }

  .input {
    @include remove-padding-mat-form-field;
    width: 100%;
  }
}

:host(.readonly.edit-available) {
  .preview {
    &:hover {
      cursor: pointer;
      position: relative;

      &::after {
        font-family: "Material Icons";
        content: 'edit';
        position: absolute;
        right: 10px;
        top: 10px;
        color: $primary-color-lighter;
        font-size: 15px;
      }
    }
  }
}

@include isInDarkMode {

}
